#!/bin/bash
################################################################
###       do_spectrogram.sh                                  ###
###                               j.r.        12-Feb-09      ###
################################################################

opts="hd:sl"

usage() {
	echo "Usage: $0 $opts"
	echo "     -h                   : print a little help"
	echo "     -d Debug_LVL         : set debug level"
	echo "     -s                   : split excel file to CSV files"
	echo "     -l                   : print also listings"
}

set -- `getopt $opts $*`
if [ $? != 0 ] ; then
	usage
	exit 2
fi
Debug=""
Debug_LVL=0
Split_excel=0
Listings=

while true ; do
	echo "\$1= |$1|   \$2= |$2|   "  1>&2
	case "$1" 
		in
		-h) usage ;                      exit 0 ;;
		-s) Split_excel=1;               shift ;;
		-l) Listings="-l";               shift ;;
		--) shift ;  break ;;
		*) echo "Internal error!" ; exit 1 ;;
	esac 
done

pattern="mj_";

if [ $Split_excel = 1 ]; then
	split_excel_into_CSVs.pl -p "$pattern" magnus_jaeger_signals_090130_Summe.xls
fi

if [ -x "test_fourierseries_spike.m" ]; then
	test_fourierseries_spike.m
  echo "-------   after test_fourierseries_spike.m ------ before 'ls -l *.eps'  ------";    ls -l *.eps
else
	echo "ERROR:Could not find executable 'test_fourierseries_spike.m', before exit!";   exit
fi
if [ -x "test_magnus3.m" ]; then
	test_magnus3.m
  echo "-------   after test_magnus3.m ------ before 'ls -l *.eps'  ------";    ls -l *.eps
else
	echo "ERROR:Could not find executable 'test_magnus3.m', before exit!"
fi
